Loading...
Searching...
No Matches
HowardMmcDefaultTraits< GR, CM > Struct Template Reference

## Detailed Description

template<typename GR, typename CM>
struct lemon::HowardMmcDefaultTraits< GR, CM >

Default traits class of HowardMmc class.

Template Parameters

  GR | The type of the digraph.
  CM | The type of the cost map. It must conform to the ReadMap concept.

`#include <lemon/howard_mmc.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph.
typedef CM | CostMap
| The type of the cost map.
typedef CostMap::Value | Cost
| The type of the arc costs.
typedef double | LargeCost
| The large cost type used for internal computations.
typedef lemon::Tolerance< LargeCost > | Tolerance
| The tolerance type used for internal computations.
typedef lemon::Path< Digraph > | Path
| The path type of the found cycles.

## Member Typedef Documentation

## LargeCost

template<typename GR, typename CM>

typedef double LargeCost

The large cost type used for internal computations. It is `long` `long` if the `Cost` type is integer, otherwise it is `double`. `Cost` must be convertible to `LargeCost`.

## Path

template<typename GR, typename CM>

typedef lemon::Path<Digraph> Path

The path type of the found cycles. It must conform to the Path concept and it must have an `addBack()` function.